查询亚马逊源报表 - 交易明细
POST
/erp/sc/data/mws_report/transaction查询领星插件下载的 Transaction 报表数据 >本接口即将下线,建议使用查询结算中心 - 交易明细
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/mws_report/transaction | HTTPS | POST | 1 |
请求参数
sidinteger必填event_datestring必填offsetintegerlengthinteger请求示例
{
"sid": 109,
"event_date": "2020-06-07",
"offset": 0,
"length": 1000
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
sidinteger必填is_to_binteger必填report_date_monthstring必填report_indexinteger必填date_strstring必填date_localestring必填date_isostring必填settlement_idstring必填typeinteger必填type_strstring必填order_idstring必填skustring必填descriptionstring必填quantitynumber必填marketplacestring必填fulfillmentstring必填order_citystring必填order_statestring必填order_postalstring必填product_salesstring必填product_sales_taxstring必填currencystring必填shipping_creditsstring必填shipping_credits_taxstringgift_wrap_creditsstring必填gift_wrap_credits_taxstringpromotional_rebatesstring必填promotional_rebates_taxstringsales_tax_collectedstringmarketplace_facilitator_taxstring必填selling_feesstring必填fba_feesstring必填other_transaction_feesstring必填otherstring必填totalstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "38AA9D9A-5936-FD62-9901-C415C1951111",
"response_time": "2021-07-02 11:23:08",
"data": [
{
"sid": 103,
"is_to_b": 0,
"report_date_month": "2021-05",
"report_index": 736,
"date_str": "May 31, 2021 11:56:23 AM PDT",
"date_locale": "2021-05-31",
"date_iso": "2021-05-31T11:56:23-07:00",
"settlement_id": "142111161",
"type": 1,
"order_id": "113-1111111111111111-9121025",
"sku": "200J",
"description_str": "KOo",
"quantity": 1,
"marketplace": "amazon.com",
"fulfillment": "Amazon",
"order_city": "REDWOOD CITY",
"order_state": "CA",
"order_postal": "9401142",
"product_sales": "19.9900",
"currency": "USD",
"shipping_credits": "0.0000",
"shipping_credits_tax": "0.0000",
"gift_wrap_credits": "0.0000",
"gift_wrap_credits_tax": "0.0000",
"promotional_rebates": "-10.0000",
"promotional_rebates_tax": "0.0000",
"sales_tax_collected": "0.0000",
"marketplace_facilitator_tax": "-0.9700",
"selling_fees": "-1.5000",
"fba_fees": "-5.4200",
"other_transaction_fees": "-0.7000",
"other": "0.0000",
"total": "2.3700",
"description": "KORsy to",
"type_str": "Order"
},
{
"sid": 103,
"is_to_b": 0,
"report_date_month": "2021-05",
"report_index": 741,
"date_str": "May 31, 2021 2:00:44 PM PDT",
"date_locale": "2021-05-31",
"date_iso": "2021-05-31T14:00:44-07:00",
"settlement_id": "1426581161",
"type": 1,
"order_id": "113-111111111111-5120241",
"sku": "200J",
"description_str": "KO",
"quantity": 1,
"marketplace": "amazon.com",
"fulfillment": "Amazon",
"order_city": "HOUSTON",
"order_state": "TX",
"order_postal": "77044-6581",
"product_sales": "19.9900",
"currency": "USD",
"shipping_credits": "0.0000",
"shipping_credits_tax": "0.0000",
"gift_wrap_credits": "0.0000",
"gift_wrap_credits_tax": "0.0000",
"promotional_rebates": "0.0000",
"promotional_rebates_tax": "0.0000",
"sales_tax_collected": "0.0000",
"marketplace_facilitator_tax": "-1.4500",
"selling_fees": "-3.0000",
"fba_fees": "-5.4200",
"other_transaction_fees": "-1.4000",
"other": "0.0000",
"total": "10.1700",
"description": "11111sy to",
"type_str": "Order"
}
],
"total": 0
}